# PSPDFKit API Postman Collection

This is the official [Postman][] collection for [PSPDFKit API][].

## Getting Started

1. [Download and install Postman][] if you don’t have it on your computer yet. You can also use it directly in the browser, but please note that you’ll need to manually add the example files to all the examples.
2. Add the collection to Postman by importing the `pspdfkit-api.postman_collection.json` file. Follow the official [Postman guide on importing collections][].
3. Move the example files to your Postman working directory. To do that, [find the working directory location in settings][], and move the `pspdfkit-api` folder to that location.
4. Configure your API key. Go to the [API Keys][] page in the PSPDFKit API dashboard and copy the key. Now configure the key in the collection’s authorization settings. The screenshot below shows where to paste the API key.

![Screen capture of the Postman window with the Authorization section open. An arrow points to the text field when the API key should be added.](https://dashboard.pspdfkit.com/images/documentation/getting-started/postman-collection/authorization-config.png)

## Using the Examples

Now that you’ve set up the collection, you can start calling the API from Postman. Pick any example request in the left sidebar and click Send to send a request. You should see the preview of the result at the bottom of the window.

![Screen capture of the Postman window with the HTML to PDF example open and a preview of the result at the bottom.](https://dashboard.pspdfkit.com/images/documentation/getting-started/postman-collection/example.png)

You can also save the result on your computer by clicking the Save Response button.

[postman]: https://www.postman.com
[pspdfkit api]: https://pspdfkit.com/api
[api keys]: https://dashboard.pspdfkit.com/api_keys
[download and install postman]: https://www.postman.com/downloads/
[postman guide on importing collections]: https://learning.postman.com/docs/getting-started/importing-and-exporting-data/#importing-data-into-postman
[find the working directory location in settings]: https://learning.postman.com/docs/getting-started/settings/#working-directory
